> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powertokens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 取消或删除视频生成任务

> 取消排队中的视频生成任务，或者删除视频生成任务记录。



## OpenAPI

````yaml api-reference/zh-Hans/zmodelVideo/byteplus/seedance/cancel-delete-video-task.json DELETE /byteplus/api/v3/contents/generations/tasks/{id}
openapi: 3.0.1
info:
  title: 取消或删除视频生成任务
  version: 1.0.0
  description: 取消排队中的视频生成任务，或者删除视频生成任务记录。
  license:
    name: Project License
    url: https://github.com/QuantumNous/new-api/blob/main/LICENSE
servers:
  - url: https://api.powertokens.ai
    description: Baze API 服务地址
security: []
tags:
  - name: Seedance Video
    description: Seedance 系列视频生成能力
paths:
  /byteplus/api/v3/contents/generations/tasks/{id}:
    delete:
      tags:
        - Seedance Video
      summary: 取消或删除视频生成任务
      description: 取消排队中的视频生成任务，或者删除视频生成任务记录。
      operationId: byteplusCancelDeleteVideoTask
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            需要取消或者删除的视频生成任务 ID。


            任务状态不同，调用 DELETE 接口执行的操作有所不同，具体说明如下：


            | 当前任务状态 | 是否支持 DELETE 操作 | 操作含义 | DELETE 操作后任务状态 |

            |--------------|----------------------|----------|------------------------|

            | queued | 是 | 任务取消排队，任务状态被变更为 `cancelled`。 | cancelled |

            | running | 否 | - | - |

            | succeeded | 是 | 删除视频生成任务记录，后续将不支持查询。 | - |

            | failed | 是 | 删除视频生成任务记录，后续将不支持查询。 | - |

            | cancelled | 否 | - | - |

            | expired | 是 | 删除视频生成任务记录，后续将不支持查询。 | - |


            > 说明：上面参数为Query String Parameters，在URL String中传入。
          schema:
            type: string
      responses:
        '200':
          description: 本接口无返回参数。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponse'
              examples:
                success:
                  summary: 成功响应
                  value: {}
      security:
        - BearerAuth: []
components:
  schemas:
    EmptyResponse:
      type: object
      description: ''
      additionalProperties: false
      example: {}
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '在请求头中传入 `Authorization: Bearer <token>`。'

````